# Uses of Class
org.springframework.context.annotation.ScopeMetadata

Packages that use ScopeMetadata
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of ScopeMetadata in org.springframework.context.annotation

Methods in org.springframework.context.annotation that return ScopeMetadata
Modifier and Type
Method
Description
`ScopeMetadata`
AnnotationScopeMetadataResolver.`resolveScopeMetadata(org.springframework.beans.factory.config.BeanDefinition definition)`
`ScopeMetadata`
Jsr330ScopeMetadataResolver.`resolveScopeMetadata(org.springframework.beans.factory.config.BeanDefinition definition)`
`ScopeMetadata`
ScopeMetadataResolver.`resolveScopeMetadata(org.springframework.beans.factory.config.BeanDefinition definition)`
Resolve the `ScopeMetadata` appropriate to the supplied bean `definition`.